#include <stdio.h>
#include <math.h>

#ifndef M_PI
#define M_PI (3.14159265358979323846)
#endif

double pi (int n)
{
    int j = -1;
    double jm;
    double suma = 0.; // konstanta typu double

    for (int i = 0; i < n; i++)
    {
        j*=-1; // citatel clenu L. rady
        jm = 2*i+1;
        suma += j/jm;
    }
    return 4*suma;
}

int main()
{
    for (int n = 1000; n <= 10000; n+=1000)
    {
        double lpi = pi(n);
        printf("pi = %.10f M_PI = %.10f delta = %.10f\n", lpi, M_PI, lpi-M_PI);
    }
    return 0;
}